VERSION 5.00
Object = "{9DC38830-6838-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGEDISPLAY.DLL"
Object = "{D22FEEE0-7890-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGE.DLL"
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.1#0"; "COMCTL32.OCX"
Begin VB.Form Form1 
   Caption         =   "Interactiv threshold sample"
   ClientHeight    =   6060
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6810
   LinkTopic       =   "Form1"
   ScaleHeight     =   6060
   ScaleWidth      =   6810
   StartUpPosition =   3  'Windows Default
   Begin ComctlLib.Slider HThreshold 
      Height          =   495
      Left            =   1320
      TabIndex        =   6
      Top             =   5280
      Width           =   4095
      _ExtentX        =   7223
      _ExtentY        =   873
      _Version        =   327680
      MouseIcon       =   "Form1.frx":0000
      LargeChange     =   20
      SmallChange     =   5
      Max             =   255
      TickStyle       =   2
      TickFrequency   =   20
   End
   Begin ComctlLib.Slider LThreshold 
      Height          =   495
      Left            =   1320
      TabIndex        =   5
      Top             =   4560
      Width           =   4095
      _ExtentX        =   7223
      _ExtentY        =   873
      _Version        =   327680
      MouseIcon       =   "Form1.frx":001C
      SmallChange     =   5
      Max             =   255
      TickStyle       =   2
      TickFrequency   =   20
   End
   Begin VB.TextBox ThHi 
      Enabled         =   0   'False
      Height          =   375
      Left            =   5640
      TabIndex        =   2
      Text            =   "120"
      Top             =   5280
      Width           =   855
   End
   Begin VB.TextBox ThLo 
      Enabled         =   0   'False
      Height          =   375
      Left            =   5640
      TabIndex        =   1
      Text            =   "50"
      Top             =   4560
      Width           =   855
   End
   Begin VB.Label Label4 
      AutoSize        =   -1  'True
      Caption         =   "High threshold :"
      Height          =   195
      Left            =   120
      TabIndex        =   4
      Top             =   5400
      Width           =   1110
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Low threshold :"
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   4680
      Width           =   1080
   End
   Begin ApxImageLibCtl.ApxImage ApxImage1 
      Left            =   480
      OleObjectBlob   =   "Form1.frx":0038
      Top             =   5880
   End
   Begin ApxImageDisplayLib.ApxImageDisplay ApxImageDisplay1 
      Height          =   4455
      Left            =   1320
      OleObjectBlob   =   "Form1.frx":005C
      TabIndex        =   0
      Top             =   0
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub Form_Load()
  Me.ApxImage1.Read "c:\program files\aphelion\images\Blood.tif"
  Me.ApxImageDisplay1.Image = Me.ApxImage1
  ThHi = 0
  ThLo = 0
End Sub
Private Sub UpdateLUT()
  Dim LUT As New ApxLUT
  Dim valu As Integer
'
  LUT.Length = 256
'
  Dim I As Integer
  For I = 0 To 255
    If I >= ThLo And I <= ThHi Then
        LUT.Red(I) = 255
        LUT.Green(I) = 0
        LUT.Blue(I) = 0
    Else
        LUT.Red(I) = I
        LUT.Green(I) = I
        LUT.Blue(I) = I
    End If
  Next I
'
  valu = ThHi Mod 5
  If valu = 0 Then
    Me.ApxImageDisplay1.LUT = LUT
  End If
End Sub
Private Sub HThreshold_Scroll()
    ThHi = HThreshold.Value
    If HThreshold.Value < LThreshold.Value Then
      LThreshold.Value = HThreshold.Value
      LThreshold_Scroll
    End If
    UpdateLUT
End Sub
Private Sub LThreshold_Scroll()
  ThLo = LThreshold.Value
  If LThreshold.Value > HThreshold.Value Then
    HThreshold.Value = LThreshold.Value
    HThreshold_Scroll
  End If
  UpdateLUT
End Sub
